ALT+Tab switches to incorrect window

Reported by Alan Pope ㋛ on 2012-10-25
38
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Ayatana Design
High
John Lea
Unity
High
Łukasz Zemczak
5.0
High
Marco Trevisan (Treviño)
6.0
High
Łukasz Zemczak
unity (Ubuntu)
Undecided
Unassigned
Quantal
Undecided
Unassigned

Bug Description

[Impact]
Currently switching applications with alt+tab is inconsistent, frustrating and broken. Thanks to the fix the initial correct behavior is restored, making the overall unity a bit better.

[Test Case]
1. Start 2 same-applications (e.g. Terminals)
2. Focus one of it
3. Press alt+tab slow enough so that the Alt+Tab switcher appears
   -> Make sure that the focus goes to the next, non-focused terminal window

[Regression Potential]
Broken switcher behavior, wrong order of switched applications.

Original description:

Open two windows of the same application.
Switching between them with fast alt-tab where the switcher doesn't appear works. However if you alt-tab slowly you always end up back on the first window.

Expected behaviour is that fast alt-tab and slow alt-tab should do the same thing, namely switch between the two most recently used windows, even if they're of the same application.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: unity 5.16.0+bzr2408sruubuntu0+709
ProcVersionSignature: Ubuntu 3.2.0-32.51-generic 3.2.30
Uname: Linux 3.2.0-32-generic x86_64
ApportVersion: 2.0.1-0ubuntu14
Architecture: amd64
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
CrashDB: unity
Date: Thu Oct 25 14:46:59 2012
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
SourcePackage: unity
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

lp:~sil2100/unity/fix_alt_tab_horrors
Merged into lp:unity at revision 2870
Andrea Azzarone: Approve on 2012-10-30
Thomi Richards: Approve (quality) on 2012-10-30
PS Jenkins bot: Pending (continuous-integration) requested 2012-10-30
Alan Pope ㋛ (popey) wrote :
Changed in unity:
assignee: nobody → Łukasz Zemczak (sil2100)
status: New → In Progress
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
John Lea (johnlea) on 2012-10-25
Changed in ayatana-design:
assignee: nobody → John Lea (johnlea)
importance: Undecided → High
status: New → Fix Committed
Changed in unity (Ubuntu):
status: Confirmed → Triaged
tags: added: udp
Changed in unity:
milestone: none → 7.0.0
Changed in unity:
status: In Progress → Fix Committed
description: updated
Changed in unity:
importance: Undecided → High
Changed in unity (Ubuntu):
status: Triaged → In Progress
Changed in unity (Ubuntu Quantal):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 6.12.0-0ubuntu1

---------------
unity (6.12.0-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Includes two already cherry-picked fixes in Ubuntu
    - Unregister gdbus object in the dtor (LP: #1047760)
    - Top panel "tooltip" got out of sync when navigating with the
      keyboard (LP: #1067358)
    - Fix escaping of _panel_title (LP: #1067357)
    - Fix ALT+Tab switches to incorrect window (LP: #1071298)
    - Stop Unity UI elements from flickering in some cases (LP: #1070735)
 -- Timo Jyrinki <email address hidden> Thu, 08 Nov 2012 11:10:13 +0200

Changed in unity (Ubuntu):
status: In Progress → Fix Released

Hello Alan, or anyone else affected,

Accepted unity into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/unity/6.12.0-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity (Ubuntu Quantal):
status: In Progress → Fix Committed
tags: added: verification-needed
Didier Roche (didrocks) on 2012-12-11
Changed in unity:
status: Fix Committed → Fix Released
Brian Murray (brian-murray) wrote :

Hello Alan, or anyone else affected,

Accepted unity into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/unity/6.12.0-0ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Timo Jyrinki (timo-jyrinki) wrote :

Fast and slower alt-tab now do the proper thing with the -proposed version.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 6.12.0-0ubuntu0.2

---------------
unity (6.12.0-0ubuntu0.2) quantal-proposed; urgency=low

  * Cherry-pick a fix for regression in top panel title (LP: #1085045)
  * Cherry-pick a fix for unity::TimeUtil::TimeDelta overflow (LP: #806248)

unity (6.12.0-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release.
    - Includes two already cherry-picked fixes in Ubuntu
    - Unregister gdbus object in the dtor (LP: #1047760)
    - Top panel "tooltip" got out of sync when navigating with the
      keyboard (LP: #1067358)
    - Fix escaping of _panel_title (LP: #1067357)
    - Fix ALT+Tab switches to incorrect window (LP: #1071298)
    - Stop Unity UI elements from flickering in some cases (LP: #1070735)
 -- Timo Jyrinki <email address hidden> Mon, 03 Dec 2012 11:35:27 +0200

Changed in unity (Ubuntu Quantal):
status: Fix Committed → Fix Released
Changed in unity:
status: Fix Released → Fix Committed
Stephen M. Webb (bregma) wrote :

Fix Released in Unity Unity 7.0.0 "R series".

Changed in unity:
status: Fix Committed → Fix Released
John Lea (johnlea) on 2013-06-20
Changed in ayatana-design:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers